javax.json

## Interface JsonWriterFactory

-     public interface JsonWriterFactory

  Factory to create `JsonWriter` instances. If a factory instance is configured with some configuration, that would be used to configure the created writer instances.

  `JsonWriter` can also be created using `Json`'s `createWriter` methods. If multiple writer instances are created, then creating them using a writer factory is preferred.

  For example:

       JsonWriterFactory factory = Json.createWriterFactory(...);
       JsonWriter writer1 = factory.createWriter(...);
       JsonWriter writer2 = factory.createWriter(...);

  All the methods in this class are safe for use by multiple concurrent threads.

  Author:
    Jitendra Kotamraju

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonWriter` | `createWriter(OutputStream out)` Creates a JSON writer to write a JSON `object` or `array` structure to the specified byte stream.
    `JsonWriter` | `createWriter(OutputStream out, Charset charset)` Creates a JSON writer to write a JSON `object` or `array` structure to the specified byte stream.
    `JsonWriter` | `createWriter(Writer writer)` Creates a JSON writer to write a JSON `object` or `array` structure to the specified character stream.
    `Map<String,?>` | `getConfigInUse()` Returns read-only map of supported provider specific configuration properties that are used to configure the created JSON writer objects.

- - ### Method Detail

    - #### createWriter

          JsonWriter createWriter(Writer writer)

      Creates a JSON writer to write a JSON `object` or `array` structure to the specified character stream. The writer is configured with the factory configuration.
      Parameters:
        `writer` - to which JSON object or array is written
      Returns:
        a JSON writer

    - #### createWriter

          JsonWriter createWriter(OutputStream out)

      Creates a JSON writer to write a JSON `object` or `array` structure to the specified byte stream. Characters written to the stream are encoded into bytes using UTF-8 encoding. The writer is configured with the factory configuration.
      Parameters:
        `out` - to which JSON object or array is written
      Returns:
        a JSON writer

    - #### createWriter

          JsonWriter createWriter(OutputStream out,
                                Charset charset)

      Creates a JSON writer to write a JSON `object` or `array` structure to the specified byte stream. Characters written to the stream are encoded into bytes using the specified charset. The writer is configured with the factory configuration.
      Parameters:
        `out` - to which JSON object or array is written
        `charset` - a charset
      Returns:
        a JSON writer

    - #### getConfigInUse

          Map<String,?> getConfigInUse()

      Returns read-only map of supported provider specific configuration properties that are used to configure the created JSON writer objects. If there are any specified configuration properties that are not supported by the provider, they won't be part of the returned map.
      Returns:
        a map of supported provider specific properties that are used to configure the created writers. The map may be empty but not null.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.